
#ifndef _MULTISSIDCONTROL_H_
#define _MULTISSIDCONTROL_H_

#ifndef uint16
#define uint16 unsigned short
#endif
#ifndef uint8
#define uint8 unsigned char
#endif
#ifndef uint32
#define uint32 unsigned int
#endif
#ifndef int32
#define int32 int
#endif
#ifndef int8
#define int8 char
#endif

#ifndef int16
#define int16 short
#endif

#define MS_ACCEPT       0
#define MS_DROP         1

#define DHCP_SERVER_PORT  67
#define DHCP_CLIENT_PORT  68
#define HTTP_PORT         80
#define FTP_PORT1        20
#define FTP_PORT2        21
#define NMB_PORT         137
#define DGRAM_PORT       138
#define SMB_PORT1        445
#define SMB_PORT2        139

typedef struct MulitSsidControlProfile {
       char IfName[8];
       int enable;
       unsigned int FilterIP; 
}T_MSsidCtlProfile;


#if 0
#define MultiSsidControlDEBUG(fmt, args...)      printk("<0>MultiSsidControlDEBUG: " fmt, ##args)
#define MultiSsidControlERROR       printk("<0>MultiSsidControlERROR: " fmt, ##args)
#else
#define MultiSsidControlDEBUG(fmt, args...)
#define MultiSsidControlERROR
#endif



#endif 
